 Rem File: Cmd184.bas
 Rem Sub: !Call.Monster
 Rem $Include: 'dndbbs.inc'
 On Error Goto Main.Error
 If Chained<>-2 Then
    Color 15,0
    Print "DNDBBS Command 184 -- !Call.Monster"
    Color 7,0
    End
 Endif
 Call Call.Monster
Main.Resume:
 Chain DND.Path+"DNDBBS.EXE"
 End
Main.Error:
 Resume Main.Resume

Sub Call.Monster
 On Local Error Goto Error.Trap184
 Call Safe.Room
 If TempA Then
    Strng="This is a safe haven."
    Call IO.O
    Exit Sub
 Endif
 Var!=RoomRecord.MonClass
 If Var!>SFalse And Var!<=MonClass.Max Then
    If Low.Mem.Use Then
       Call Read.Record(MonClassFile,Var!)
    Endif
    Var2=Int(Rnd*10+1)
    If Low.Mem.Use=False Then
       Choice=Monster.Class(Var!,Var2)
    Else
       Choice=MonClassRecord.Monsters(Var2)
    Endif
    Call Get.Monster
 Endif
Error.Resume184:
 Exit Sub
Error.Trap184:
 Resume Error.Resume184
End Sub
